/*******************************************************************************
 * Filename:    TI2430Interface.h
 *
 * Created:     April 25, 2013
 *
 * Author:      William C. Hayes
 *
 * Revision History
 *         Date         Author  Comment
 *      2013_04_25      WCH     Initial Version
 *
*******************************************************************************/

#ifndef TI2430_INTERFACE_H_
#define TI2430_INTERFACE_H_



#define TIMEOUT_COUNT                   200000 
#define TELDRECEIVE_TIMEOUT             20000

//
//
//
void             vTI2430DriverIOinit( void );
void             vTI2430DeviceInit( void );
ZFM_FLAG         fTI2430SendReceiveBuffer( ZFM_U08 *pbyBuffer, ZFM_U32 uiCrcIndex, ZFM_U32 uiLength );

void             vSPI_Init(void);
void             vDelay(unsigned int delaynum);

char             ZigBDriver(char SendByte);
char             vTI2430DriverRFRDYFallingEdge( void );
char             vTI2430DriverRFRDYRisingEdge( void );
void             vSPI_TRANSMIT(char transbyte);
char             cSPI_READ (void);


#endif /* TI2430_INTERFACE_H_ */
