/*******************************************************************************
 * Filename:    enums.h
 *
 * Created:     Jun 06, 2013
 *
 * Author:      Richard Jolly
 *
 * Revision History
 *         Date         Author  Comment
 *      2013_06_06      WCH     Initial Version
 *
*******************************************************************************/

#ifndef ZFM_ENUMS_H_
#define ZFM_ENUMS_H_

typedef enum
{
  ZFM_TASK_MESSAGE_BASE_TELD           = 0x01000000,
  ZFM_TASK_MESSAGE_BASE_COMD           = 0x02000000,
  ZFM_TASK_MESSAGE_BASE_DEVICE_TELD    = 0x03000000,

  ZFM_TASK_MESSAGE_BASE_UART_BLE       = 0x08000000,
  ZFM_TASK_MESSAGE_BASE_HCI_BLE        = 0x09000000,
  ZFM_TASK_MESSAGE_BASE_SERVICES_BLE   = 0x0A000000,
  
  ZFM_TASK_MESSAGE_BASE_BUSINESS_LOGIC = 0x10000000,
  
  //
  //    Put all other entries above this line
  //
  ZFM_TASK_MESSAGE_BASE_MAX

} ZFMTaskMessageBases;

//
//
//
#endif /* ZFM_ENUMS_H_ */
