/*******************************************************************************
 * Filename:    typedefs.h
 *
 * Created:     April 25, 2013
 *
 * Author:      Richard Jolly
 *
 * Revision History
 *         Date         Author  Comment
 *      2013_04_25      WCH     Initial Version
 *
*******************************************************************************/

#ifndef ZFM_TYPEDEFS_H_
#define ZFM_TYPEDEFS_H_


typedef char            ZFM_S08;
typedef unsigned char   ZFM_U08;
typedef unsigned short  ZFM_U16;
typedef unsigned int    ZFM_U32;

typedef ZFM_U08          ZFM_FLAG;


typedef struct t_QueueMessage
{
  ZFM_U32        uiMessageID;
  ZFM_U32        uiParam[7];
  
} QueueMessage;

#endif /* ZFM_TYPEDEFS_H_ */
